%global commit 86885d14049fab06ef8a33aac51664230ca09200

Name:           libbacktrace
Version:        1.0^20240626git86885d1
Release:        1%{?dist}
Summary:        A C library to produce symbolic backtraces

License:        BSD-3-Clause
URL:            https://github.com/ianlancetaylor/libbacktrace
Source0:        %{url}/archive/%{commit}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
The libbacktrace library may be linked into a program or library and 
used to produce symbolic backtraces. Sample uses would be to print a
detailed backtrace when an error occurs or to gather detailed profiling 
information. In general the functions provided by this library are 
async-signal-safe, meaning that they may be safely called from a signal
handler.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit}

%build
%configure --disable-static --enable-shared
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{?ldconfig_scriptlets}

%files
%license LICENSE
%doc README.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Wed Sep 25 2024 Umut Demir <umutd3401@posteo.com> - 1.0^20240626git86885d1-1
- Update to commit 86885d1
- Change summary
- Enable debug package
- Enable shared and add devel package
